LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-21-2014, 07:48 AM   #1
sachin.davra
Member
 
Registered: Jul 2013
Posts: 213

Rep: Reputation: Disabled
python packages error


Hi,

I am using centos 6 x86. I am experiencing some issues while installing python packages using easy_install. Could any one please help to resolve this issue. Any help is appreciated.
Code:
[root@SYS-1587 1.1]# easy_install djcelery
Traceback (most recent call last):
  File "/usr/local/python2.7/bin/easy_install", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/python2.7/lib/python2.7/site-packages/distribute-0.6.25-py2.7.egg/pkg_resources.py", line 17, in <module>
    from urlparse import urlparse, urlunparse
  File "/usr/local/python2.7/lib/python2.7/urlparse.py", line 110, in <module>
    from collections import namedtuple
  File "/usr/local/python2.7/lib/python2.7/collections.py", line 9, in <module>
    from operator import itemgetter as _itemgetter
ImportError: /usr/local/python2.7/lib/python2.7/lib-dynload/operator.so: undefined symbol: _PyUnicodeUCS2_AsDefaultEncodedString
[root@SYS-1587 1.1]#

Code:
That "_PyUnicodeUCS4_AsDefaultEncodedString" error usually means that you are mixing two different Python builds (a UCS2 build and a UCS4 build).

Try setting the python to use the Komodo prebuilt Python:

export KOPYPATH=/home/matic/Downloads/openKomodo/mozilla/prebuilt/python2.6/linux-x86_64
export PATH=$KOPYPATH/bin:$PATH
export LD_LIBRARY_PATH=$KOPYPATH/lib:$LD_LIBRARY_PATH

I found some thing while surfing around. could you make me understand the meaning of lines which are highlighted.

Last edited by sachin.davra; 07-21-2014 at 08:03 AM. Reason: Added some addition info.
 
Old 07-21-2014, 12:12 PM   #2
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware & Android
Posts: 7,800

Rep: Reputation: 755Reputation: 755Reputation: 755Reputation: 755Reputation: 755Reputation: 755Reputation: 755
Python always gives you the graphic tailspin - blow by blow.

Code:
ImportError: /usr/local/python2.7/lib/python2.7/lib-dynload/operator.so: undefined symbol: _PyUnicodeUCS2_AsDefaultEncodedString
That seems to be the bit to react to. Look for python modules for your distro as the lazy way out.
 
Old 07-22-2014, 02:25 AM   #3
sachin.davra
Member
 
Registered: Jul 2013
Posts: 213

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by business_kid View Post
Python always gives you the graphic tailspin - blow by blow.

Code:
ImportError: /usr/local/python2.7/lib/python2.7/lib-dynload/operator.so: undefined symbol: _PyUnicodeUCS2_AsDefaultEncodedString
That seems to be the bit to react to. Look for python modules for your distro as the lazy way out.
This is fresh installed python with UCS4. I am not able to install python modules.
 
Old 07-22-2014, 04:50 AM   #4
business_kid
LQ Guru
 
Registered: Jan 2006
Location: Ireland
Distribution: Slackware & Android
Posts: 7,800

Rep: Reputation: 755Reputation: 755Reputation: 755Reputation: 755Reputation: 755Reputation: 755Reputation: 755
compiled? Then you need source, and probably a lot of modules. Look for a python-modules package.

Perl has cpan, which works, but python doesn't have anything like it.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Python 2.6 dependencies error installing python-sqlite2-2.5.5-1.1.i586.rpm jmp007 Linux - Newbie 1 02-11-2011 12:05 PM
python extra packages sarayazdani Linux - Software 2 09-18-2008 01:32 PM
Problems with Python packages vharishankar Debian 3 12-17-2006 11:17 AM
LXer: Move to python 2.4 / Changing the packaging style for python packages LXer Syndicated Linux News 0 06-13-2006 08:54 PM
error: cannot get exclusive lock on /var/lib/rpm/Packages error: cannot open Packages inward_eye Linux - Software 3 08-24-2003 04:07 PM


All times are GMT -5. The time now is 12:21 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration